TechDraw View

From FreeCAD Documentation
Jump to navigation Jump to search
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский
Arrow-left.svg Previous: TechDraw RedrawPage.svg RedrawPage
Next: ActiveView TechDraw ActiveView.svg Arrow-right.svg

TechDraw View.svg TechDraw View

Menu location
TechDraw → Insert View
Workbenches
TechDraw
Default shortcut
None
Introduced in version
-
See also
TechDraw Projection Group, TechDraw Section View

Description

The View tool adds a representation of one or more objects to a Drawing page. This is the basic building block of the TechDraw workbench. Most other Views are derived in some way from NewView.

View will try to draw anything with a Shape property. You can select sketches, PartDesign Bodies, Draft objects etc. View will also extract any shapes from objects within a Std Part or a Std Group.

TechDraw View example.png

View of a solid box with hidden lines

Usage

  1. Optionally rotate the 3D view. The camera direction in the 3D view determines the initial value of the DataDirection property of the View.
  2. Select one or more objects in the 3D view or Tree view.
  3. If there are multiple drawing pages in the document: optionally add the desired page to the selection by selecting it in the Tree view. This is not optional for version 0.19 and below.
  4. There are several ways to invoke the tool:
    • Press the TechDraw View.svg Insert View button.
    • Select the TechDraw → TechDraw View.svg Insert View option from the menu.
  5. If there are multiple drawing pages in the document and you have not yet selected a page, the Page Chooser dialog box opens: introduced in version 0.20
    1. Select the desired page.
    2. Press the OK button.

Properties

Data

Base

  • DataX: The view's horizontal position on the page. (1)
  • DataY: The view's vertical position on the page. (1)
  • DataLock Position: Prevents Views from being dragged in the Gui when true. The View can still be moved by changing X,Y properties. (1)
  • DataRotation: Counterclockwise rotation of the View on the page in degrees. (1)
  • DataScale Type: "Document": use the Page's scale setting. "Custom": use a scale unique to this view. "Automatic": fit view to page. (1)
  • DataScale: A view will be rendered on the page in Scale:1 ratio to the Source. (1)
  • DataCaption: Optional short text caption.

(1) these properties are common to all View types.

Cosmetics

HLR Parameters

  • DataCoarse View: If true, TechDraw will use a polygon approximation to calculate drawing geometry. If false, TechDraw will use a precision algorithm. CoarseView can be much faster for complex models. The quality of the drawing is reduced, since every curve is approximated as a series of short line segments. Vertices are not displayed in CoarseView since each short segment would result in two new Vertices and the display becomes cluttered. Linear Dimensions can be added to a CoarseView, but are unlikely to be useful.
  • DataSmooth Visible: Visible Smooth lines on/off.
  • DataSeam Visible: Visible Seam lines on/off.
  • DataIso Visible: Visible Isometric(u,v) lines on/off.
  • DataHard Hidden: Hidden lines on/off.
  • DataSmooth Hidden: Hidden Smooth lines on/off.
  • DataSeam Hidden: Hidden Seam lines on/off.
  • DataIso Hidden: Hidden Isometric(u,v) lines on/off.
  • DataIso Count: Number of Isometric(u,v) lines to draw on each face.

Projection

  • DataSource: Links to the drawable objects to be depicted.
  • DataXSource: Links to the drawable objects in an external file. introduced in version 0.19
  • DataDirection: this vector controls the direction from which you are viewing the object. +X is right, -X is left, +Y is rear, -Y is front (looking into the screen), +Z is up and -Z is down. So a Front view is (0,-1,0) and an isometric view is (1,-1,1).
  • DataXDirection: this vector controls the rotation of the view around the Direction. introduced in version 0.19.
  • DataPerspective: True for perspective projection, false for orthogonal projection.
  • DataFocus: Distance from camera to projection plane for perspective projections. Needs to be adjusted to fit the object. Too far and the perspective is lost, too close and the object is distorted.

View

  • ViewKeep Label: Always show View Label if true.
  • ViewLineWidth: The thickness of visible lines. See Line Groups.
  • ViewHiddenWidth: The thickness of hidden lines, if enabled.
  • ViewIsoWidth: The thickness of isometric(u,v) surface lines and Dimension lines.
  • ViewExtraWidth: not implemented yet.
  • ViewShowCenters: Circle/arc center marks on/off.
  • ViewCenterScale: Circular arc center mark size adjustment, if enabled.
  • ViewHorizCenterLine: Show a horizontal centerline through view.
  • ViewVertCenterLine: Show a vertical centerline through view.
  • ViewShowSectionLine: Show/hide section line if applicable.

Scripting

See also: TechDraw API and FreeCAD Scripting Basics.

The New View tool can be used in macros and from the Python console by using the following functions:

view = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewPart','View')
rc = page.addView(view)
FreeCAD.ActiveDocument.View.Source = [App.ActiveDocument.Box]
FreeCAD.ActiveDocument.View.Direction = (0.0,0.0,1.0)


Arrow-left.svg Previous: TechDraw RedrawPage.svg RedrawPage
Next: ActiveView TechDraw ActiveView.svg Arrow-right.svg